Subject: Re: Fwd: [2.6] ethertap and af_inet.c assertion failures

From: Tommy Christensen <[email-masked]>
Date: Sat, 15 Jan 2005 17:19:59 +0100

Herbert Xu wrote:
> Since the skb will be orphaned on its way to the destination anyway,
> let's simply do that before the trimming.  This shouldn't lead to
> skb leakage since the skb will either be charged to the destination
> socket or freed.

Looks fine. This will solve the problem for other callers as well.

Shouldn't there be a check for skb_shared as well? Or are the
callers of netlink_unicast/broadcast supposed to avoid this.

-Tommy